package com.yida.data.attendance.dto;

import com.fasterxml.jackson.annotation.JsonFormat;

import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDate;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class ListRecordDTO {

    @ApiModelProperty("发生日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private LocalDate createDate;

    @ApiModelProperty("时段id")
    private Long ruleTimeId;

    @ApiModelProperty("学生id")
    private Long studentId;

    @ApiModelProperty("状态")
    private Integer status;

    @ApiModelProperty("考勤类型，0-校门，1-宿舍")
    private Integer zone;
}
