package com.yida.data.attendance.dto;

import com.yida.data.common.core.common.BaseDTO;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class StasticStaffResultDTO extends BaseDTO {
    @ApiModelProperty("日期，yyyy-MM-dd")
    private String date;

    @ApiModelProperty("年月,yyyy-MM")
    private String yearMonth;

    @ApiModelProperty("部门id")
    private Long deptId;

    @ApiModelProperty("职工姓名/手机号")
    private String keyword;

    @ApiModelProperty("规则id")
    private Long ruleId;

    @ApiModelProperty("考勤结果")
    private Integer status;
}
