package com.yida.data.attendance.feign;

import com.yida.data.attendance.fallback.RemoteAttendanceNoticeServiceFallback;
import com.yida.data.common.core.common.ResultBean;
import com.yida.data.common.core.entity.attendance.EduAttendanceNotice;
import com.yida.data.common.core.entity.constant.FebsServerConstant;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestBody;

@FeignClient(value = FebsServerConstant.EDU_ATTENDANCE, contextId = "attendanceNoticeServiceClient",
        fallbackFactory = RemoteAttendanceNoticeServiceFallback.class)
public interface RemoteAttendanceNoticeService {

    @GetMapping("/in/notice/saveNotice")
    ResultBean saveNotice(@RequestBody EduAttendanceNotice notice);
}
