package com.yida.data.attendance.vo;

import com.yida.data.common.core.entity.attendance.EduAttendanceRecord;
import com.yida.data.common.core.entity.user.EduStaff;
import com.yida.data.common.core.entity.user.EduStudent;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel("进出记录处理结果")
@Data
public class AttendanceResVO {

    @ApiModelProperty("产生的进出记录")
    private EduAttendanceRecord record;

    @ApiModelProperty("进出的学生")
    private EduStudent student;

    @ApiModelProperty("进出的职工")
    private EduStaff staff;
}
