package com.yida.data.attendance.vo;

import com.yida.data.common.core.entity.user.EduStaff;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 考勤推送封装类
 *
 * @author ZYJ
 * @date 2022/7/15
 */
@Data
public class AttendanceResultPushVO implements Serializable {

    private static final long serialVersionUID = 3074698159807729093L;

    /**
     * 职工信息
     */
    private EduStaff eduStaff;

    /**
     * 推送消息记录
     */
    private List<Long> resultIds;
}
