package com.yida.data.attendance.vo;

import com.fasterxml.jackson.annotation.JsonFormat;

import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalTime;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class StaffTimeResultInfo {

    @ApiModelProperty("应打卡时间")
    @DateTimeFormat(pattern = "HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "HH:mm:ss")
    private LocalTime startStiTime;

    @ApiModelProperty("实际打卡时间")
    @DateTimeFormat(pattern = "HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "HH:mm:ss")
    private LocalTime startRealTime;


    @ApiModelProperty("下班应打卡时间")
    @DateTimeFormat(pattern = "HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "HH:mm:ss")
    private LocalTime endStiTime;

    @ApiModelProperty("实际打卡时间")
    @DateTimeFormat(pattern = "HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "HH:mm:ss")
    private LocalTime endRealTime;

    @ApiModelProperty("考勤结果 0-正常，1-迟到，2-早退,3-旷工，4-迟到早退")
    private Integer status;
}
