package com.yida.data.attendance.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel("教师端考勤记录")
public class TeacherStasticVO {

    @ApiModelProperty("考勤天数")
    private Integer attendanceDateNum;

    @ApiModelProperty("实到人数")
    private Integer realNum;

    @ApiModelProperty("应到人数/总人数")
    private Integer shouldNum;

    @ApiModelProperty("迟到人数")
    private Integer lateStudentNum;

    @ApiModelProperty("晚归人数")
    private Integer dormLateStudentNum;

    @ApiModelProperty("异常晚归人数")
    private Integer dormLateExpStudentNum;

    @ApiModelProperty("旷宿人数")
    private Integer dormNotArriveStudentNum;

    @ApiModelProperty("旷课人数")
    private Integer notArriveStudentNum;

    @ApiModelProperty("早退人数")
    private Integer leaveStudentNum;

    @ApiModelProperty("请假人数")
    private Integer requestStudentNum;

    @ApiModelProperty("迟到次数")
    private Integer lateNum;

    @ApiModelProperty("旷课次数")
    private Integer notArriveNum;

    @ApiModelProperty("早退次数")
    private Integer leaveNum;

    @ApiModelProperty("请假次数")
    private Integer requestNum;

    @ApiModelProperty("类型：0上学考勤统计，1宿舍考勤统计")
    private Integer type;

    List<StudentInfoVO> normalStudentList;
    List<StudentInfoVO> lateStudentList;
    List<StudentInfoVO> leaveStudentList;
    List<StudentInfoVO> notArriveStudentList;
    List<StudentInfoVO> requestStudentList;
    List<StudentInfoVO> dormLateStudentList;
    List<StudentInfoVO> dormLateExpStudentList;
    List<StudentInfoVO> dormNotArriveStudentList;
}
