package com.yida.data.attendance.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yida.data.common.core.entity.attendance.EduAttendanceRuleTime;
import com.yida.data.attendance.vo.RuleTimeVO;
import java.time.LocalDate;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 * 考勤规则 考勤时间 Mapper
 *
 * @author zhanghaijun
 * @date 2021-06-25 09:51:00
 */
public interface EduAttendanceRuleTimeMapper extends BaseMapper<EduAttendanceRuleTime> {

    List<RuleTimeVO> listDeptRuleTime(@Param("deptIds") List<Long> deptIds,
        @Param("date") LocalDate date, @Param("week") Integer week, @Param("type") Integer type);
}
