package com.yida.data.attendance.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.entity.attendance.EduAttendanceManagePushResult;
import com.yida.data.common.core.entity.attendance.EduAttendanceResult;

import java.util.List;

/**
 * 管理考勤结果推送记录service
 *
 * @author ZYJ
 * @date 2022/7/15
 */
public interface EduAttendanceManagePushResultService extends IService<EduAttendanceManagePushResult> {

    /**
     * 查询归寝报告
     *
     * @param pushId 推送记录id
     * @return java.util.List<com.yida.data.common.core.entity.attendance.EduAttendanceResult>
     * @author ZYJ
     * @date 2022/7/16 14:12
     */
    List<EduAttendanceResult> selectPushList(Long pushId);
}
