package com.yida.data.attendance.service;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.entity.attendance.EduAttendanceStaffRecord;
import com.yida.data.attendance.vo.StaffRecordVO;

/**
 * 教职工考勤-进出记录 Service接口
 *
 * @author ZYJ
 * @date 2021-09-27 18:56:19
 */
public interface EduAttendanceStaffRecordService extends IService<EduAttendanceStaffRecord> {

    /**
     * 分页查询教职工进出列表
     *
     * @param page
     * @param deptId
     * @param nameOrPhone
     * @param start
     * @param end
     * @return
     */

    IPage<StaffRecordVO> findPageStaffRecord(Page page, Long deptId, String nameOrPhone, String start, String end, Long schoolId);

    /**
     * 定时处理记录数据
     */
    void staffRecord();
}
