package com.yida.data.attendance.service;

import com.yida.data.common.core.entity.attendance.EduAttendanceConfig;
import com.yida.data.common.core.entity.user.EduStudent;
import java.util.List;

public interface GenerateAttendanceResultService {

    /**
     * 生成学生考勤记录
     *
     * @param config            学校的考勤配置
     * @param schoolStudentList 学校的学生列表
     */
    void generateStudentAttendanceResult(EduAttendanceConfig config, List<EduStudent> schoolStudentList);
}
