package com.yida.data.attendance.service;


import com.yida.data.attendance.vo.AttendanceResVO;

public interface NoticeService {

    /**
     * 发送考勤进出通知
     *
     * @param url
     * @param student
     * @param result
     */
    void sendAttendanceNotice(AttendanceResVO result);

    /**
     * 重新采集人脸通知
     *
     * @param picUrl
     * @param userId
     * @param type
     */
    void sendCollectFailNotice(String picUrl, Long userId, Integer type);
}
