package com.yida.data.attendance.service.impl;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.common.core.entity.attendance.EduAttendanceNotice;
import com.yida.data.attendance.mapper.EduAttendanceNoticeMapper;
import com.yida.data.attendance.service.EduAttendanceNoticeService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
@RequiredArgsConstructor
public class EduAttendanceNoticeServiceImpl extends ServiceImpl<EduAttendanceNoticeMapper, EduAttendanceNotice> implements EduAttendanceNoticeService {
    @Override
    public List<EduAttendanceNotice> listNoticeByParent(Long parentId) {
        return list(Wrappers.lambdaQuery(new EduAttendanceNotice()).eq(EduAttendanceNotice::getParentId
                , parentId).orderByDesc(EduAttendanceNotice::getId));
    }

    @Override
    public void sendNotice(Long id) {

    }
}
