package com.yida.data.attendance.service.impl;

import com.yida.data.attendance.mapper.EduAttendanceStaffRuleSpecialDateMapper;
import com.yida.data.attendance.service.EduAttendanceStaffRuleSpecialDateService;
import com.yida.data.common.core.entity.attendance.EduAttendanceStaffRuleSpecialDate;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.transaction.annotation.Propagation;
import lombok.RequiredArgsConstructor;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
* 教职工考勤-特殊日期 Service实现
*
* @author ZYJ
* @date 2021-09-27 18:56:24
*/
@Service
@RequiredArgsConstructor
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
public class EduAttendanceStaffRuleSpecialDateServiceImpl extends ServiceImpl
<EduAttendanceStaffRuleSpecialDateMapper, EduAttendanceStaffRuleSpecialDate> implements EduAttendanceStaffRuleSpecialDateService {

private final EduAttendanceStaffRuleSpecialDateMapper eduAttendanceStaffRuleSpecialDateMapper;

}
