package com.yida.data.attendance.service.impl;


import com.yida.data.attendance.mapper.EduAttendanceStaffRuleWhiteListMapper;
import com.yida.data.attendance.service.EduAttendanceStaffRuleWhiteListService;
import com.yida.data.common.core.entity.attendance.EduAttendanceStaffRuleWhiteList;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.transaction.annotation.Propagation;
import lombok.RequiredArgsConstructor;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
* 教职工考勤-白名单 Service实现
*
* @author ZYJ
* @date 2021-09-27 18:56:13
*/
@Service
@RequiredArgsConstructor
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
public class EduAttendanceStaffRuleWhiteListServiceImpl extends ServiceImpl
<EduAttendanceStaffRuleWhiteListMapper, EduAttendanceStaffRuleWhiteList> implements EduAttendanceStaffRuleWhiteListService {

private final EduAttendanceStaffRuleWhiteListMapper eduAttendanceStaffRuleWhiteListMapper;

}
