package com.yida.data.attendance.dto;

import com.yida.data.attendance.vo.ConflictRuleVO;
import com.yida.data.common.core.entity.attendance.EduAttendanceRule;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.List;
import lombok.Data;

@Data
@ApiModel("保存或修改规则")
public class SaveRuleDTO {

    @ApiModelProperty("规则")
    private EduAttendanceRule rule;


    @ApiModelProperty("冲突的规则")
    private List<ConflictRuleVO> conflictRule;
}
