package com.yida.data.attendance.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class ExportDormRateVO {

    @ApiModelProperty("日期")
    @ExcelProperty(value = "日期", order = 0)
    private String date;

    @ApiModelProperty("校区")
//    @ExcelProperty(value = "校区", order = 2)
    @ExcelIgnore
    private String campus;

    @ApiModelProperty("年级班级")
    @ExcelProperty(value = "年级班级/宿舍楼", order = 3)
    private String gradeClass;

    @ApiModelProperty("总人数")
    @ExcelProperty(value = "总人数", order = 4)
    private Integer total;

    @ApiModelProperty("归寝率")
    @ExcelProperty(value = "归寝率", order = 5)
    private Double rate;

    @ApiModelProperty("晚归")
    @ExcelProperty(value = {"考勤结果", "晚归"}, order = 6)
    private Integer late;

    @ApiModelProperty("旷宿")
    @ExcelProperty(value = {"考勤结果", "旷宿"}, order = 7)
    private Integer notArrive;

    @ApiModelProperty("正常")
    @ExcelProperty(value = {"考勤结果", "正常"}, order = 8)
    private Integer normal;
}
