package com.yida.data.attendance.vo;

import com.fasterxml.jackson.annotation.JsonFormat;

import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDate;
import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class StaffDateTimeResultInfo {

    @ApiModelProperty("日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private LocalDate date;

    @ApiModelProperty("星期")
    private String week;

    @ApiModelProperty("考勤结果列表 0-正常，1-迟到，2-早退,3-旷工，4-迟到早退")
    private List<Integer> statusList;
}
