package com.yida.data.attendance.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.util.List;

/**
 * @author ccl
 */
@Data
public class StaffRuleVO {

    @ApiModelProperty("规则id")
    private Long id;

    @ApiModelProperty("规则名称")
    private String name;

    @ApiModelProperty("创建日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createDate;

    @ApiModelProperty("创建人名称")
    private String createName;

    @ApiModelProperty("管理人员列表")
    private List<Long> staffList;

    @ApiModelProperty("管理人员列表")
    private List<String> staffNameList;

}
