package com.yida.data.attendance.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class StasticDormResultVO {
    @ApiModelProperty("宿舍楼id")
    private Long dormId;

    @ApiModelProperty("宿舍楼名称")
    private String dromName;

    @ApiModelProperty("寝室id")
    private Long dormRoomId;

    @ApiModelProperty("寝室名称")
    private String dormRoomName;

    @ApiModelProperty("应归人数")
    private Integer total;

    @ApiModelProperty("晚归人数")
    private Integer late;

    @ApiModelProperty("旷宿人数")
    private Integer notArrive;

    @ApiModelProperty("在寝人数")
    private Integer stay;

    @ApiModelProperty("未归人数")
    private Integer notStay;

    @ApiModelProperty("是否已查寝，0-未查寝，1-已查寝")
    private Integer verify;
    
}
