package com.yida.data.attendance.vo;

import com.yida.data.common.core.entity.attendance.EduAttendanceStaffResult;

import java.time.LocalDate;
import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class StasticStaffExcepByDayVO {

    @ApiModelProperty("出勤天列表")
    private List<LocalDate> dayList;

    @ApiModelProperty("迟到次数")
    private List<EduAttendanceStaffResult> lateList;

    @ApiModelProperty("早退列表")
    private List<EduAttendanceStaffResult> leaveList;

    @ApiModelProperty("旷工列表")
    private List<EduAttendanceStaffResult> notArriveList;
}
