package com.yida.data.attendance.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yida.data.common.core.entity.attendance.EduAttendanceStaffRuleAdminRange;

import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 教职工考勤-管理员考勤范围 Mapper
 *
 * @author ZYJ
 * @date 2021-09-27 18:56:20
 */
public interface EduAttendanceStaffRuleAdminRangeMapper extends BaseMapper<EduAttendanceStaffRuleAdminRange> {

    /**
     * 根据管理员职工id查询管理的职工id
     *
     * @param staffId
     * @return
     */
    List<Long> listAdminStaffRange(@Param("adminStaffId") Long staffId);
}
