package com.yida.data.attendance.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.entity.attendance.EduAttendanceNotice;

import java.util.List;

public interface EduAttendanceNoticeService extends IService<EduAttendanceNotice> {

    List<EduAttendanceNotice> listNoticeByParent(Long parentId);

    /**
     * 发送打卡通知
     * @param id 教职工考勤规则id
     */
    void sendNotice(Long id);
}
