package com.yida.data.attendance.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.entity.attendance.EduAttendanceStaffRuleDevice;

import java.util.List;


/**
 * 教职工考勤-规则设备 service
 *
 * @author ZYJ
 * @date 2022/9/13
 */
public interface EduAttendanceStaffRuleDeviceService extends IService<EduAttendanceStaffRuleDevice> {

    /**
     * 根据教师考勤规则id查询打卡设备
     *
     * @param ruleId 教师考勤规则id
     * @return java.util.List<com.yida.data.common.core.entity.attendance.EduAttendanceStaffRuleDevice>
     * @author ZYJ
     * @date 2022/9/13 15:28
     */
    List<EduAttendanceStaffRuleDevice> selectStaffRuleDeviceList(Long ruleId);
}
