package com.yida.data.attendance.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yida.data.attendance.mapper.EduAttendanceStaffRuleDeviceMapper;
import com.yida.data.attendance.service.EduAttendanceStaffRuleDeviceService;
import com.yida.data.common.core.entity.attendance.EduAttendanceStaffRuleDevice;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 教职工考勤-规则设备 service
 *
 * @author ZYJ
 * @date 2022/9/13
 */
@Slf4j
@Service
@RequiredArgsConstructor
@Transactional(rollbackFor = Exception.class)
public class EduAttendanceStaffRuleDeviceServiceImpl
        extends ServiceImpl<EduAttendanceStaffRuleDeviceMapper, EduAttendanceStaffRuleDevice>
        implements EduAttendanceStaffRuleDeviceService {

    @Override
    public List<EduAttendanceStaffRuleDevice> selectStaffRuleDeviceList(Long ruleId) {
        return baseMapper.selectStaffRuleDeviceList(ruleId);
    }
}
