package com.yida.data.attendance.service.impl;

import com.yida.data.attendance.mapper.EduAttendanceStaffRuleTimeMapper;
import com.yida.data.attendance.service.EduAttendanceStaffRuleTimeService;
import com.yida.data.common.core.entity.attendance.EduAttendanceStaffRuleTime;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.transaction.annotation.Propagation;
import lombok.RequiredArgsConstructor;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
* 教职工考勤-打卡时段 Service实现
*
* @author ZYJ
* @date 2021-09-27 18:56:12
*/
@Service
@RequiredArgsConstructor
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
public class EduAttendanceStaffRuleTimeServiceImpl extends ServiceImpl
<EduAttendanceStaffRuleTimeMapper, EduAttendanceStaffRuleTime> implements EduAttendanceStaffRuleTimeService {

private final EduAttendanceStaffRuleTimeMapper eduAttendanceStaffRuleTimeMapper;

}
